<?php

class Controller_Office_Subjects extends Controller_Environment_Office
{
    public function action_index() {
        $this->action_upload();
    }

    public function action_upload() {
        $result = [];

        if (!empty($_FILES['subjects']) && $this->request->method() == 'POST') {
            $file = $_FILES['subjects']['tmp_name'];
            $result = FileParser::uploadSubjects($file, $_POST['facultyID']);
        }

        $this->twig->set([
            'UploadingResult' => $result,
            'Faculties'       => Model_Faculties::load(),
        ])->set_filename(static::OFFICE . 'subjects/upload');
    }
}
